// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: interconnectionmodule/interconnectionmodule.proto

package openfmb.interconnectionmodule;

public interface InterconnectionCSGOrBuilder extends
    // @@protoc_insertion_point(interface_extends:interconnectionmodule.InterconnectionCSG)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<openfmb.interconnectionmodule.InterconnectionPoint> 
      getCrvPtsList();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.interconnectionmodule.InterconnectionPoint getCrvPts(int index);
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  int getCrvPtsCount();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<? extends openfmb.interconnectionmodule.InterconnectionPointOrBuilder> 
      getCrvPtsOrBuilderList();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.interconnectionmodule.InterconnectionPointOrBuilder getCrvPtsOrBuilder(
      int index);
}
